package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridWgLog;
import com.ruoyi.system.domain.grid.GridWgLogExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface GridWgLogMapper {
    long countByExample(GridWgLogExample example);

    int deleteByExample(GridWgLogExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridWgLog record);

    int insertSelective(GridWgLog record);

    List<GridWgLog> selectByExample(GridWgLogExample example);

    GridWgLog selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridWgLog record, @Param("example") GridWgLogExample example);

    int updateByExample(@Param("record") GridWgLog record, @Param("example") GridWgLogExample example);

    int updateByPrimaryKeySelective(GridWgLog record);

    int updateByPrimaryKey(GridWgLog record);

    Map<String, Object> selectInfo(@Param("wgCode") String wgCode, @Param("startTime") String startTime, @Param("endTime") String endTime);
}
